## mtd-utils 1.4.4

=== Makefile ===

# -*- sh -*-

CPPFLAGS += -I./include $(ZLIBCPPFLAGS) $(LZOCPPFLAGS)

ifeq ($(WITHOUT_XATTR), 1)
  CPPFLAGS += -DWITHOUT_XATTR
endif

SUBDIRS = lib ubi-utils mkfs.ubifs

TARGETS = ftl_format flash_erase nanddump doc_loadbios \
	ftl_check mkfs.jffs2 flash_lock flash_unlock flash_info \
	flash_otp_info flash_otp_dump mtd_debug flashcp nandwrite nandtest \
	jffs2dump \
	nftldump nftl_format docfdisk \
	rfddump rfdformat \
	serve_image recv_image \
	sumtool #jffs2reader
SCRIPTS = flash_eraseall

SYMLINKS =

LDLIBS = -L$(BUILDDIR)/lib -lmtd
LDDEPS = $(BUILDDIR)/lib/libmtd.a

include common.mk

# mkfs.ubifs needs -lubi which is in ubi-utils/
subdirs_mkfs.ubifs_all: subdirs_ubi-utils_all

clean::
	-rm -f $(SYMLINKS)
ifneq ($(BUILDDIR)/.git,)
ifneq ($(BUILDDIR),.)
ifneq ($(BUILDDIR),$(CURDIR))
	rm -rf $(BUILDDIR)
endif
endif
endif

$(SYMLINKS):
	ln -sf ../fs/jffs2/$@ $@

$(BUILDDIR)/mkfs.jffs2: $(addprefix $(BUILDDIR)/,\
	compr_rtime.o mkfs.jffs2.o compr_zlib.o compr_lzo.o \
	compr.o rbtree.o)
LDFLAGS_mkfs.jffs2 = $(ZLIBLDFLAGS) $(LZOLDFLAGS)
LDLIBS_mkfs.jffs2  = -lz -llzo2

$(BUILDDIR)/jffs2reader: $(BUILDDIR)/jffs2reader.o
LDFLAGS_jffs2reader = $(ZLIBLDFLAGS) $(LZOLDFLAGS)
LDLIBS_jffs2reader  = -lz -llzo2

$(BUILDDIR)/lib/libmtd.a: subdirs_lib_all ;

install:: ${TARGETS} ${SCRIPTS}
	mkdir -p ${DESTDIR}/${SBINDIR}
	install -m 0755 ${TARGETS} ${SCRIPTS} ${DESTDIR}/${SBINDIR}/
	mkdir -p ${DESTDIR}/${MANDIR}/man1
	gzip -9c mkfs.jffs2.1 > ${DESTDIR}/${MANDIR}/man1/mkfs.jffs2.1.gz

=== lib/Makefile ===
#
# Makefile for libmtd
#

SUBDIRS =

# CFLAGS += -Werror
CPPFLAGS += -I../include
LIBS = libmtd libcrc32
TARGETS = libmtd.a libcrc32.a

include ../common.mk

$(BUILDDIR)/libcrc32.a: $(addprefix $(BUILDDIR)/, libcrc32.o)
$(BUILDDIR)/libmtd.a: $(addprefix $(BUILDDIR)/,\
       libmtd.o libmtd_legacy.o libcrc32.o libfec.o)

clean::
	rm -f $(addsuffix .a, $(LIBS))

install::

uninstall:

=== ubi-utils/Makefile ===
#
# Makefile for ubi-utils
#

KERNELHDR := ../include

# CFLAGS += -Werror
CPPFLAGS += -Iinclude -Isrc -I$(KERNELHDR)

LIBS = libubi libubigen libiniparser libscan
TARGETS = ubiupdatevol ubimkvol ubirmvol ubicrc32 ubinfo ubiattach \
          ubidetach ubinize ubiformat ubirename mtdinfo ubirsvol

VPATH = src
LDLIBS = -L$(BUILDDIR)/../lib -lmtd

include ../common.mk

# And the below is the rule to get final executable from its .o and ubiutils-common.o
$(TARGETS): $(addprefix $(BUILDDIR)/,\
	libubi.a ubiutils-common.o)
#	$(CC) $(CFLAGS) $(filter %.o, $^) -L. -lubi -o $@

$(BUILDDIR)/ubicrc32: $(addprefix $(BUILDDIR)/,\
	ubicrc32.o)
#	$(CC) $(CFLAGS) -o $@ $^

$(BUILDDIR)/ubinize: $(addprefix $(BUILDDIR)/,\
	ubinize.o ubiutils-common.o libiniparser.a libubigen.a)
#	$(CC) $(CFLAGS) $(filter %.o, $^) -L. -liniparser -lubigen -o $@

$(BUILDDIR)/mtdinfo: $(addprefix $(BUILDDIR)/,\
	libubigen.a ubiutils-common.o)
#	$(CC) $(CFLAGS) $(filter %.o, $^) -L. -lmtd -lubigen -o $@

$(BUILDDIR)/ubiformat: $(addprefix $(BUILDDIR)/,\
	ubiformat.o ubiutils-common.o libscan.a libubi.a libubigen.a)
#	$(CC) $(CFLAGS) $(filter %.o, $^) -L. -lmtd -lscan -lubi -lubigen -o $@

$(BUILDDIR)/libubi.a: $(BUILDDIR)/libubi.o

$(BUILDDIR)/libubigen.a: $(BUILDDIR)/libubigen.o

$(BUILDDIR)/libiniparser.a: $(addprefix $(BUILDDIR)/,\
	libiniparser.o dictionary.o)

$(BUILDDIR)/libscan.a: $(addprefix $(BUILDDIR)/,\
	libscan.o)

clean::
	rm -f $(addsuffix .a, $(LIBS))

install::
	mkdir -p ${DESTDIR}/${SBINDIR}
	install -m 0755 ${TARGETS} ${DESTDIR}/${SBINDIR}/

uninstall:
	for file in ${TARGETS}; do \
		$(RM) ${DESTDIR}/${SBINDIR}/$$file; \
	done

=== tests/fs-tests/integrity/Makefile ===

ifeq ($(origin CC),default)
CC = gcc
endif

CFLAGS := $(CFLAGS) -Wall -g -O2 -I../lib

LDFLAGS := $(LDFLAGS)

TARGETS = integck

all: $(TARGETS)

$(TARGETS): ../lib/tests.o

../lib/tests.o: ../lib/tests.h

clean:
	rm -f *.o $(TARGETS)

tests: all
	./integck

## mtd-utils 1.4.9

=== Makefile ===

# -*- sh -*-

VERSION = 1.4.9

CPPFLAGS += -I./include -I$(BUILDDIR)/include -I./ubi-utils/include $(ZLIBCPPFLAGS) $(LZOCPPFLAGS)

ifeq ($(WITHOUT_XATTR), 1)
  CPPFLAGS += -DWITHOUT_XATTR
endif
ifeq ($(WITHOUT_LZO), 1)
  CPPFLAGS += -DWITHOUT_LZO
else
  LZOLDLIBS = -llzo2
endif

TESTS = tests

MTD_BINS = \
	ftl_format flash_erase nanddump doc_loadbios \
	ftl_check mkfs.jffs2 flash_lock flash_unlock \
	flash_otp_info flash_otp_dump mtd_debug flashcp nandwrite nandtest \
	jffs2dump \
	nftldump nftl_format docfdisk \
	rfddump rfdformat \
	serve_image recv_image \
	sumtool jffs2reader
UBI_BINS = \
	ubiupdatevol ubimkvol ubirmvol ubicrc32 ubinfo ubiattach \
	ubidetach ubinize ubiformat ubirename mtdinfo ubirsvol

BINS = $(MTD_BINS)
BINS += mkfs.ubifs/mkfs.ubifs
BINS += $(addprefix ubi-utils/,$(UBI_BINS))
SCRIPTS = flash_eraseall

TARGETS = $(BINS)
TARGETS += lib/libmtd.a
TARGETS += ubi-utils/libubi.a

OBJDEPS = $(BUILDDIR)/include/version.h

include common.mk

clean::
ifneq ($(BUILDDIR)/.git,)
ifneq ($(BUILDDIR),.)
ifneq ($(BUILDDIR),$(CURDIR))
	rm -rf $(BUILDDIR)
endif
endif
endif
	@if test -d "$(BUILDDIR)/"; then \
		find $(BUILDDIR)/ -xdev \
			'(' -name '*.[ao]' -o -name '.*.c.dep' ')' \
			-exec rm -f {} + ; \
	fi
	rm -f $(BUILDDIR)/include/version.h
	$(MAKE) -C $(TESTS) clean

install:: $(addprefix $(BUILDDIR)/,${BINS}) ${SCRIPTS}
	mkdir -p ${DESTDIR}/${SBINDIR}
	install -m 0755 $^ ${DESTDIR}/${SBINDIR}/
	mkdir -p ${DESTDIR}/${MANDIR}/man1
	install -m 0644 mkfs.jffs2.1 ${DESTDIR}/${MANDIR}/man1/
	-gzip -9f ${DESTDIR}/${MANDIR}/man1/*.1

tests::
	$(MAKE) -C $(TESTS)

cscope:
	cscope -bR

$(BUILDDIR)/include/version.h: $(BUILDDIR)/include/version.h.tmp
	$(call BECHO,CHK)
	$(Q)cmp -s $@ $@.tmp && rm -f $@.tmp || mv $@.tmp $@
$(BUILDDIR)/include/version.h.tmp:
	${Q}mkdir -p $(dir $@)
	$(Q)echo '#define VERSION "$(VERSION)"' > $@

#
# Utils in top level
#
obj-mkfs.jffs2 = compr_rtime.o compr_zlib.o compr_lzo.o compr.o rbtree.o
LDFLAGS_mkfs.jffs2 = $(ZLIBLDFLAGS) $(LZOLDFLAGS)
LDLIBS_mkfs.jffs2  = -lz $(LZOLDLIBS)

LDFLAGS_jffs2reader = $(ZLIBLDFLAGS) $(LZOLDFLAGS)
LDLIBS_jffs2reader  = -lz $(LZOLDLIBS)

$(foreach v,$(MTD_BINS),$(eval $(call mkdep,,$(v))))

#
# Common libmtd
#
obj-libmtd.a = libmtd.o libmtd_legacy.o libcrc32.o libfec.o
$(call _mkdep,lib/,libmtd.a)

#
# Utils in mkfs.ubifs subdir
#
obj-mkfs.ubifs = crc16.o lpt.o compr.o devtable.o \
	hashtable/hashtable.o hashtable/hashtable_itr.o
LDLIBS_mkfs.ubifs = -lz -llzo2 -lm -luuid
$(call mkdep,mkfs.ubifs/,mkfs.ubifs,,ubi-utils/libubi.a)

#
# Utils in ubi-utils/ subdir
#
obj-libiniparser.a = libiniparser.o dictionary.o
obj-libscan.a      = libscan.o
obj-libubi.a       = libubi.o
obj-libubigen.a    = libubigen.o

obj-mtdinfo   = libubigen.a
obj-ubinize   = libubigen.a libiniparser.a
obj-ubiformat = libubigen.a libscan.a

$(foreach v,libubi.a libubigen.a libiniparser.a libscan.a,$(eval $(call _mkdep,ubi-utils/,$(v))))
$(foreach v,$(UBI_BINS),$(eval $(call mkdep,ubi-utils/,$(v),libubi.a ubiutils-common.o)))

## mtd-utils 1.5.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 
 # -*- sh -*-
 
-VERSION = 1.4.9
+VERSION = 1.5.0
 
 CPPFLAGS += -I./include -I$(BUILDDIR)/include -I./ubi-utils/include $(ZLIBCPPFLAGS) $(LZOCPPFLAGS)
 
@@ -42,6 +42,8 @@
 
 include common.mk
 
+CLEAN_FIND = find "$(BUILDDIR)/" -xdev '(' -name '*.[ao]' -o -name '.*.c.dep' ')'
+
 clean::
 ifneq ($(BUILDDIR)/.git,)
 ifneq ($(BUILDDIR),.)
@@ -50,10 +52,10 @@
 endif
 endif
 endif
+# findutils v4.1.x (RHEL 4) do not have '+' syntax
 	@if test -d "$(BUILDDIR)/"; then \
-		find $(BUILDDIR)/ -xdev \
-			'(' -name '*.[ao]' -o -name '.*.c.dep' ')' \
-			-exec rm -f {} + ; \
+		$(CLEAN_FIND) -exec rm -f {} + 2> /dev/null || \
+		$(CLEAN_FIND) -exec rm -f {} \; ; \
 	fi
 	rm -f $(BUILDDIR)/include/version.h
 	$(MAKE) -C $(TESTS) clean

=== tests/checkfs/Makefile ===
TARGETS = checkfs makefiles

include ../../common.mk

$(TARGETS): $(addprefix $(BUILDDIR)/, comm.o)

=== tests/ubi-tests/Makefile ===
LIBUBI_PATH = ../../ubi-utils/
LIBUBI_HEADER_PATH = $(LIBUBI_PATH)/include
UBIUTILS_PATH=../../ubi-utils/

KERNELHDR := ../../include

LIBS = libubi
TARGETS=io_update volrefcnt integ io_paral io_read io_basic \
          mkvol_basic mkvol_bad mkvol_paral rsvol

CFLAGS += -I$(LIBUBI_HEADER_PATH) -I $(KERNELHDR) -lpthread

include ../../common.mk

# Compile ubilib with the udevsettle hack
libubi.a: $(LIBUBI_PATH)/libubi.c  $(LIBUBI_HEADER_PATH)/libubi.h  $(LIBUBI_PATH)/libubi_int.h
	$(CC) $(CFLAGS) -I $(LIBUBI_PATH) -I../../include -DUDEV_SETTLE_HACK -c $(LIBUBI_PATH)/libubi.c -o libubi.o
	ar cr libubi.a libubi.o

$(TARGETS): $(addprefix $(BUILDDIR)/, common.o) libubi.a

clean::
	rm -f libubi.a

=== tests/fs-tests/integrity/Makefile ===

ifeq ($(origin CC),default)
CC = gcc
endif

COMMON_HEADERS_DIR := ../../../include
LIBUBI_PATH = ../../../ubi-utils/
LIBUBI_HEADER_PATH = $(LIBUBI_PATH)/include

CFLAGS := $(CFLAGS) -Wall -g -O2 -I$(COMMON_HEADERS_DIR) -I$(LIBUBI_HEADER_PATH)

LDFLAGS := $(LDFLAGS)

TARGETS = integck

all: $(TARGETS)

# Compile ubilib
libubi.a:
	$(CC) $(CFLAGS) -c $(LIBUBI_PATH)/libubi.c -o libubi.o
	ar cr libubi.a libubi.o

$(TARGETS): libubi.a

# Disable optimizations to make it possible to use gdb comfortably
# Use -rdynamic to have stack backtraces
debug: libubi.a
	gcc $(CFLAGS) -O0 -D INTEGCK_DEBUG -rdynamic integck.c libubi.a -o integck

clean:
	rm -f *.o $(TARGETS) libubi.a

## mtd-utils 1.5.1

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 
 # -*- sh -*-
 
-VERSION = 1.5.0
+VERSION = 1.5.1
 
-CPPFLAGS += -I./include -I$(BUILDDIR)/include -I./ubi-utils/include $(ZLIBCPPFLAGS) $(LZOCPPFLAGS)
+CPPFLAGS += -D_GNU_SOURCE -I./include -I$(BUILDDIR)/include -I./ubi-utils/include $(ZLIBCPPFLAGS) $(LZOCPPFLAGS) $(UUIDCPPFLAGS)
 
 ifeq ($(WITHOUT_XATTR), 1)
   CPPFLAGS += -DWITHOUT_XATTR
@@ -19,7 +19,8 @@
 MTD_BINS = \
 	ftl_format flash_erase nanddump doc_loadbios \
 	ftl_check mkfs.jffs2 flash_lock flash_unlock \
-	flash_otp_info flash_otp_dump mtd_debug flashcp nandwrite nandtest \
+	flash_otp_info flash_otp_dump flash_otp_lock flash_otp_write \
+	mtd_debug flashcp nandwrite nandtest \
 	jffs2dump \
 	nftldump nftl_format docfdisk \
 	rfddump rfdformat \
@@ -27,7 +28,7 @@
 	sumtool jffs2reader
 UBI_BINS = \
 	ubiupdatevol ubimkvol ubirmvol ubicrc32 ubinfo ubiattach \
-	ubidetach ubinize ubiformat ubirename mtdinfo ubirsvol
+	ubidetach ubinize ubiformat ubirename mtdinfo ubirsvol ubiblock
 
 BINS = $(MTD_BINS)
 BINS += mkfs.ubifs/mkfs.ubifs
@@ -103,6 +104,7 @@
 #
 obj-mkfs.ubifs = crc16.o lpt.o compr.o devtable.o \
 	hashtable/hashtable.o hashtable/hashtable_itr.o
+LDFLAGS_mkfs.ubifs = $(ZLIBLDFLAGS) $(LZOLDFLAGS) $(UUIDLDFLAGS)
 LDLIBS_mkfs.ubifs = -lz -llzo2 -lm -luuid
 $(call mkdep,mkfs.ubifs/,mkfs.ubifs,,ubi-utils/libubi.a)

=== tests/jittertest/Makefile ===
CC=gcc
# uncomment following for performance
CCFLAGS=-O3 -Wall -fomit-frame-pointer

# uncomment following for debugging. Uncomment either this or the one above. Not both.
# CCFLAGS=-Wall -g


all: JitterTest plotJittervsFill

JitterTest: JitterTest.c Makefile
	 gcc $(CCFLAGS) -lm JitterTest.c -o JitterTest

plotJittervsFill: plotJittervsFill.c Makefile
	 gcc $(CCFLAGS) plotJittervsFill.c -o plotJittervsFill

clean:
	 rm -rf *~
	 rm -rf core
	 rm -rf *.o
	 rm -rf JitterTest


dep:
	makedepend -I./ *.c
# DO NOT DELETE

JitterTest.o: /usr/include/stdio.h /usr/include/features.h
JitterTest.o: /usr/include/sys/cdefs.h /usr/include/gnu/stubs.h
JitterTest.o: /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.91.66/include/stddef.h
JitterTest.o: /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.91.66/include/stdarg.h
JitterTest.o: /usr/include/bits/types.h /usr/include/libio.h
JitterTest.o: /usr/include/_G_config.h /usr/include/bits/stdio_lim.h
JitterTest.o: /usr/include/string.h /usr/include/stdlib.h
JitterTest.o: /usr/include/sys/types.h /usr/include/time.h
JitterTest.o: /usr/include/endian.h /usr/include/bits/endian.h
JitterTest.o: /usr/include/sys/select.h /usr/include/bits/select.h
JitterTest.o: /usr/include/bits/sigset.h /usr/include/sys/sysmacros.h
JitterTest.o: /usr/include/alloca.h /usr/include/sys/time.h
JitterTest.o: /usr/include/bits/time.h /usr/include/signal.h
JitterTest.o: /usr/include/bits/signum.h /usr/include/bits/siginfo.h
JitterTest.o: /usr/include/bits/sigaction.h /usr/include/bits/sigcontext.h
JitterTest.o: /usr/include/asm/sigcontext.h /usr/include/bits/sigstack.h
JitterTest.o: /usr/include/sched.h /usr/include/bits/sched.h
JitterTest.o: /usr/include/unistd.h /usr/include/bits/posix_opt.h
JitterTest.o: /usr/include/bits/confname.h /usr/include/getopt.h

## mtd-utils 1.5.2

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 
 # -*- sh -*-
 
-VERSION = 1.5.1
+VERSION = 1.5.2
 
 CPPFLAGS += -D_GNU_SOURCE -I./include -I$(BUILDDIR)/include -I./ubi-utils/include $(ZLIBCPPFLAGS) $(LZOCPPFLAGS) $(UUIDCPPFLAGS)
 
@@ -20,7 +20,7 @@
 	ftl_format flash_erase nanddump doc_loadbios \
 	ftl_check mkfs.jffs2 flash_lock flash_unlock \
 	flash_otp_info flash_otp_dump flash_otp_lock flash_otp_write \
-	mtd_debug flashcp nandwrite nandtest \
+	mtd_debug flashcp nandwrite nandtest mtdpart \
 	jffs2dump \
 	nftldump nftl_format docfdisk \
 	rfddump rfdformat \

=== tests/Makefile ===

SUBDIRS = checkfs fs-tests jittertest ubi-tests

all clean tests: $(SUBDIRS)

.PHONY: $(SUBDIRS)
$(SUBDIRS):
	$(MAKE) -C $@ $(MAKECMDGOALS)

=== tests/checkfs/Makefile ===
TARGETS = checkfs makefiles

include ../../common.mk

$(TARGETS): $(addprefix $(BUILDDIR)/, comm.o)

=== tests/fs-tests/Makefile ===

SUBDIRS = lib simple stress integrity utils

all clean tests: $(SUBDIRS)

.PHONY: $(SUBDIRS)
$(SUBDIRS):
	$(MAKE) -C $@ $(MAKECMDGOALS)

=== tests/ubi-tests/Makefile ===
--- 
+++ 
@@ -8,7 +8,8 @@
 TARGETS=io_update volrefcnt integ io_paral io_read io_basic \
           mkvol_basic mkvol_bad mkvol_paral rsvol
 
-CFLAGS += -I$(LIBUBI_HEADER_PATH) -I $(KERNELHDR) -lpthread
+CFLAGS += -I$(LIBUBI_HEADER_PATH) -I $(KERNELHDR)
+LDLIBS += -lpthread
 
 include ../../common.mk
 
@@ -17,7 +18,7 @@
 	$(CC) $(CFLAGS) -I $(LIBUBI_PATH) -I../../include -DUDEV_SETTLE_HACK -c $(LIBUBI_PATH)/libubi.c -o libubi.o
 	ar cr libubi.a libubi.o
 
-$(TARGETS): $(addprefix $(BUILDDIR)/, common.o) libubi.a
+$(TARGETS): $(addprefix $(BUILDDIR)/, helpers.o) libubi.a
 
 clean::
 	rm -f libubi.a

=== tests/fs-tests/integrity/Makefile ===
--- 
+++ 
@@ -18,14 +18,14 @@
 # Compile ubilib
 libubi.a:
 	$(CC) $(CFLAGS) -c $(LIBUBI_PATH)/libubi.c -o libubi.o
-	ar cr libubi.a libubi.o
+	$(AR) cr libubi.a libubi.o
 
 $(TARGETS): libubi.a
 
 # Disable optimizations to make it possible to use gdb comfortably
 # Use -rdynamic to have stack backtraces
 debug: libubi.a
-	gcc $(CFLAGS) -O0 -D INTEGCK_DEBUG -rdynamic integck.c libubi.a -o integck
+	$(CC) $(CFLAGS) -O0 -D INTEGCK_DEBUG -rdynamic integck.c libubi.a -o integck
 
 clean:
 	rm -f *.o $(TARGETS) libubi.a

=== tests/fs-tests/stress/Makefile ===

SUBDIRS = atoms

all tests: $(SUBDIRS)

clean: $(SUBDIRS)
	rm -rf run_pdf_test_file_*

.PHONY: $(SUBDIRS)
$(SUBDIRS):
	$(MAKE) -C $@ $(MAKECMDGOALS)

=== tests/fs-tests/utils/Makefile ===

ifeq ($(origin CC),default)
CC = gcc
endif

CFLAGS := $(CFLAGS) -Wall -g -O2 -I../lib

LDFLAGS := $(LDFLAGS)

TARGETS = fstest_monitor free_space

all: $(TARGETS)

clean:
	rm -f *.o $(TARGETS)

tests: all
	./fstest_monitor
	./free_space > /dev/null

=== tests/fs-tests/stress/atoms/Makefile ===

ifeq ($(origin CC),default)
CC = gcc
endif

CFLAGS := $(CFLAGS) -Wall -g -O2 -I../../lib

LDFLAGS := $(LDFLAGS)

TARGETS = stress_1 \
	stress_2 \
	stress_3 \
	pdfrun \
	rndwrite00 \
	fwrite00 \
	rmdir00 \
	rndrm00 \
	rndrm99 \
	gcd_hupper

all: $(TARGETS)

$(TARGETS): ../../lib/tests.o

../lib/tests.o: ../../lib/tests.h

clean:
	rm -f *.o $(TARGETS) run_pdf_test_file

tests: all
	./stress_1 -e
	./stress_2
	./stress_3 -e
	./pdfrun
	./rndwrite00 -e
	./fwrite00
	./rmdir00
	./rndrm00
	./rndrm99
	./gcd_hupper

=== debian/changelog ===
mtd-utils (1:1.5.2-1) unstable; urgency=medium

  * New upstream version

 -- Riku Voipio <riku.voipio@linaro.org>  Tue, 18 Aug 2015 11:16:21 +0300

mtd-utils (1:1.5.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 5 (Closes: #778017).

 -- James Cowgill <james410@cowgill.org.uk>  Wed, 08 Jul 2015 19:21:38 +0100

mtd-utils (1:1.5.1-1) unstable; urgency=medium

  * New upstream version

 -- Riku Voipio <riku.voipio@linaro.org>  Mon, 30 Jun 2014 22:15:54 +0300

mtd-utils (1:1.5.0-1) unstable; urgency=low

  * New upstream version

 -- Riku Voipio <riku.voipio@linaro.org>  Wed, 16 May 2012 11:51:48 +0300

mtd-utils (1:1.4.9-1) unstable; urgency=low

  * New upstream version

 -- Riku Voipio <riku.voipio@linaro.org>  Thu, 03 May 2012 14:28:04 +0300

mtd-utils (1:1.4.4-1) unstable; urgency=low

  * New upstream version
  * start using release tags from upstream, thus add epoch

 -- Riku Voipio <riku.voipio@linaro.org>  Mon, 23 May 2011 12:46:10 +0300

mtd-utils (20110107-1) unstable; urgency=medium

  * New upstream version
  * Ubi creation works again: Closes: #570493, #592485
  * gcc 4.5 builds work, Closes: #565082

 -- Riku Voipio <riku.voipio@iki.fi>  Fri, 07 Jan 2011 11:50:29 +0200

mtd-utils (20100706-1) unstable; urgency=low

  * New upstream version

 -- Riku Voipio <riku.voipio@iki.fi>  Fri, 06 Aug 2010 23:55:45 +0300

mtd-utils (20090606-1) unstable; urgency=medium

  * new upstream snapshot
  * urgency medium due to fixing brown paper bag bug in mkfs.ubifs

 -- Riku Voipio <riku.voipio@iki.fi>  Sat, 06 Jun 2009 17:53:58 +0300

mtd-utils (20090511-1) unstable; urgency=low

  * new upstream snapshot

 -- Riku Voipio <riku.voipio@iki.fi>  Tue, 07 Apr 2009 23:59:24 +0300

mtd-utils (20090217-1) unstable; urgency=low

  [ Riku Voipio ]
  * New upstream snapshot
  *  Adds mkfs.ubifs !
  *  lots of fixes

 -- Riku Voipio <riku.voipio@iki.fi>  Tue, 17 Feb 2009 20:38:54 +0200

mtd-utils (20080508-1) unstable; urgency=low

  [ Riku Voipio ]
  * New upstream snapshot
  * remove mtd-tools conflict to allow proper migration

  [ Artem Bityutskiy ]
  * ubi-utils: fix long options
  * ubi-utils: make sure only one volume is auto-resize
  * ubi-utils: improve input parameters checks
  * mtd-utils: fix input parameter checks
  * ubi-utils: fix percent output in ubiformat
  * ubi-utils: fix the output print
  * ubi-utils: improve input parameters checks
  * ubi-utils: add ubiformat
  * ubi-utils: add libscan
  * ubi-utils: add libmtd
  * ubi-utils: various clean-ups and preparations
  * ubi-utils: use common.h in libubi
  * Teach libubi_open not to prirnt error message
  * ubinize: correctly calculate VID offset when min I/O unit is 1
  * ubi-utils: fix a typo

  [ Siarhei Siamashka ]
  * mkfs.jffs2.c: fix issue with crashing when using lzo compression

 -- Riku Voipio <riku.voipio@iki.fi>  Thu, 08 May 2008 22:05:36 +0300

mtd-utils (20080411-1) unstable; urgency=low

  [ Artem Bityutskiy ]
  * ubi-utils: fix printing typos

  [ Hamish Moffatt ]
  * ubi-utils: don't use argp.h

  [ Otavio Salvador ]
  * do not ignore make clean failures during build

  [ Riku Voipio ]
  * Use LSB locations for manpages
  * compr_lzo.c: allocate enough memory for lzo compressor.
  * Actually include some information in the copyright file

  [ Zoltan Sogor ]
  * ubi-utils: fix wrong variable printout

 -- Riku Voipio <riku.voipio@iki.fi>  Fri, 11 Apr 2008 13:17:14 +0300

mtd-utils (20080224-1) unstable; urgency=low

  [ Otavio Salvador ]
  * import debian/ from 20061007-1 package
  * change source and binary packages to mtd-utils, following upstream
  * add myself as uploader
  * add liblzo2-dev as build-dependency
  * unubi.c: fix compilation with gcc 4.2.3
  * unubi_analyze.c: fix compilation warnings with gcc 4.2.3
  * eb_chain.c: fix compilation warnings with gcc 4.2.3
  * properly install files on the package
  * ubi-utils: fix compilation warnings in unubi.c when using gcc 4.2.3
  * add a transitional package to easy upgrades
  * update package description since it has been renamed

  [ Riku Voipio ]
  * Add homepage: and Vcs: fields

  [ David Woodhouse ]
  * Fix recv_image compilation with new glibc

 -- Otavio Salvador <otavio@ossystems.com.br>  Wed, 05 Mar 2008 17:35:13 -0300

mtd (20061007-1) unstable; urgency=low

  * New upstream snapshot, Closes: #391095
  * flash-eraseall now works: Closes: #386753
  * update to latest debhelper and policy

 -- Riku Voipio <riku.voipio@iki.fi>  Sat,  7 Oct 2006 18:43:49 +0300

mtd (20050122-2) unstable; urgency=low

  * Fix the version, darn
  * Get rid of historic conflict, closes: #160614

 -- Riku Voipio <riku.voipio@iki.fi>  Sun, 23 Jan 2005 12:56:16 +0000

mtd (20050122) unstable; urgency=low

  * New upstream snapshot
  * Upstream contains big-endian fixes, Closes: #291182
  * Apply gcc-4 fix from Andreas Jochens, Closes: #287678

 -- Riku Voipio <riku.voipio@iki.fi>  Sun, 23 Jan 2005 12:25:28 +0000

mtd (20041007-1) unstable; urgency=low

  * New upstream version, closes: #239954
  * New maintainer
  * Images created with mkfs.jffs2 actually work, closes: #260029
  * Hardlink work nowadays too, closes: #156311
  
 -- Riku Voipio <riku.voipio@iki.fi>  Fri,  8 Oct 2004 11:16:21 +0000

mtd (20011217-4) unstable; urgency=low

  * Add conflict with fsh, since both contain /usr/bin/fcp. (Closes: #160614)

 -- David Schleef <ds@schleef.org>  Thu, 12 Sep 2002 01:18:43 -0700

mtd (20011217-3) unstable; urgency=low

  * Few more fixes for usage of asm headers, from Anders Boström.
    Should build on ARM now.  (Closes #94591)
  * Added additional documentation files.
  * Added more entries to debian/undocumented.

 -- David Schleef <ds@schleef.org>  Mon, 14 Jan 2002 12:52:36 -0800

mtd (20011217-2) unstable; urgency=low

  * Fix usage of asm headers (Closes #94591)

 -- David Schleef <ds@schleef.org>  Fri, 11 Jan 2002 16:14:21 -0800

mtd (20011217-1) unstable; urgency=low

  * New snapshot.
  * Update standards-version.


=== debian/control ===
Source: mtd-utils
Section: utils
Priority: extra
Maintainer: Riku Voipio <riku.voipio@linaro.org>
Uploaders: Otavio Salvador <otavio@debian.org>
Build-Depends: debhelper (>= 5.0), zlib1g-dev, libacl1-dev, liblzo2-dev, uuid-dev
Standards-Version: 3.9.5
Homepage: http://www.linux-mtd.infradead.org/
Vcs-Git: git://git.debian.org/git/collab-maint/mtd-utils.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/mtd-utils.git

Package: mtd-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Provides: mtd-tools
Replaces: mtd-tools
Description: Memory Technology Device Utilities
 Utilities for manipulating memory technology devices, such as flash
 memory, Disk-On-Chip, or ROM.  Includes mkfs.jffs2, a tool to create
 JFFS2 (journaling flash file system) filesystems.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

unexport CPPFLAGS
unexport CFLAGS
unexport CXXFLAGS
unexport FFLAGS
unexport LDFLAGS

# This is the debhelper compatability version to use.

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir
#	skip building here since "make install" will make anyway
#	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	[ -f Makefile ] && $(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.

	$(MAKE) install DESTDIR=`pwd`/debian/mtd-utils
	#for each in $(shell file util/*|grep ELF.*executable|sed 's/:.*//'); do \
	#  install $$each debian/tmp/usr/bin/; \
	#done


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## mtd-utils 2.0.0

=== debian/changelog ===
mtd-utils (1:2.0.0-1) unstable; urgency=medium

  * New upstream release

 -- Riku Voipio <riku.voipio@linaro.org>  Fri, 23 Dec 2016 21:52:06 +0200

mtd-utils (1:2.0.0~rc1-1) unstable; urgency=medium

  * New upstream RC
  * Redo packaging now that upstream is autconf based

 -- Riku Voipio <riku.voipio@linaro.org>  Mon, 12 Dec 2016 14:54:38 +0200

## mtd-utils 2.0.1

=== debian/changelog ===
mtd-utils (1:2.0.1-1ubuntu3) bionic; urgency=medium

  * Ignore test results on ppc64el because cmocka is broken there

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 08 Feb 2018 01:08:37 +0700

mtd-utils (1:2.0.1-1ubuntu2) bionic; urgency=medium

  * Use proper unsigned long type for ioctl requests in test wrappers.
    This fixes FTBFS on s390x and ppc64el

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 07 Feb 2018 03:54:47 +0700

mtd-utils (1:2.0.1-1ubuntu1) bionic; urgency=medium

  * Enable unit tests
  * Enable running tests using cherry-picked upstream commit
  * Build-depend on libcmocka-dev
  * Stop testing stat() calls to let tests succeed
  * Update mainainers

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 06 Feb 2018 06:14:02 +0700

mtd-utils (1:2.0.1-1) unstable; urgency=medium

  * New upstream version

 -- Riku Voipio <riku.voipio@linaro.org>  Fri, 25 Aug 2017 10:33:11 +0300

=== debian/control ===
Source: mtd-utils
Section: utils
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Riku Voipio <riku.voipio@linaro.org>
Build-Depends: debhelper (>= 9), pkg-config, dh-autoreconf, zlib1g-dev, libacl1-dev, libcmocka-dev <!nocheck>, liblzo2-dev, uuid-dev
Standards-Version: 3.9.8
Homepage: http://www.linux-mtd.infradead.org/
Vcs-Git: https://alioth.debian.org/anonscm/git/collab-maint/mtd-utils.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/mtd-utils.git

Package: mtd-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Provides: mtd-tools
Replaces: mtd-tools
Description: Memory Technology Device Utilities
 Utilities for manipulating memory technology devices, such as flash
 memory, Disk-On-Chip, or ROM.  Includes mkfs.jffs2, a tool to create
 JFFS2 (journaling flash file system) filesystems.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --enable-test --enable-unit-tests

# ignore test results on ppc64el because cmocka is broken in multiple ways
# there
ifeq ($(DEB_HOST_ARCH),ppc64el)
override_dh_auto_test:
	-dh_auto_test
endif

## mtd-utils 2.1.1

=== debian/changelog ===
mtd-utils (1:2.1.1-1.1ubuntu1) groovy; urgency=medium

  * Merge from Debian unstable
    - Remaining changes: none
    - Dropped changes:
      * Enable unit tests
      * Build-depend on libcmocka-dev
      * Ignore test results on ppc64el because cmocka is broken there
  * Ignore test results on architectures where tests are not known to pass

 -- Balint Reczey <rbalint@ubuntu.com>  Sat, 11 Jul 2020 16:48:19 +0200

mtd-utils (1:2.1.1-1.1) unstable; urgency=medium

  [ Bastian Germann ]
  * Non-maintainer upload.
  * Conflict with libssl-dev
  * Add libmtd-dev and libubi-dev
  * lib*-dev: Don't include private kernel header

  [ Balint Reczey ]
  * Add minimal Salsa CI config
  * Enable unit tests
  * Build-depend on libcmocka-dev
  * Ignore test results on ppc64el because cmocka is broken there

  [ Riku Voipio ]
  * Disable test results everywhere

 -- Bastian Germann <bastiangermann@fishpost.de>  Tue, 23 Jun 2020 18:03:00 +0200

mtd-utils (1:2.1.1-1ubuntu1) focal; urgency=medium

  * Merge from Debian unstable
    - Remaining changes:
      * Enable unit tests
      * Build-depend on libcmocka-dev
      * Ignore test results on ppc64el because cmocka is broken there
    - Dropped changes
      * Enable running tests using cherry-picked upstream commit
      * Stop testing stat() calls to let tests succeed
      * Use proper unsigned long type for ioctl requests in test wrappers.
        This fixes FTBFS on s390x and ppc64el

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 28 Nov 2019 17:28:13 +0100

mtd-utils (1:2.1.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/changelog: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

  [ Riku Voipio ]
  * New upstream release, closes: 902599, 902599, 921392

 -- Riku Voipio <riku.voipio@linaro.org>  Mon, 26 Aug 2019 10:39:56 +0300

=== debian/control ===
Source: mtd-utils
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Riku Voipio <riku.voipio@linaro.org>
Build-Depends: debhelper (>= 9), pkg-config, dh-autoreconf, dh-exec (>= 0.3), zlib1g-dev, libacl1-dev, libcmocka-dev <!nocheck>, liblzo2-dev, uuid-dev, libzstd-dev
Build-Conflicts: libssl-dev
Standards-Version: 4.3.0
Homepage: http://www.linux-mtd.infradead.org/
Vcs-Git: https://salsa.debian.org/debian/mtd-utils.git
Vcs-Browser: https://salsa.debian.org/debian/mtd-utils

Package: mtd-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Provides: mtd-tools
Replaces: mtd-tools
Description: Memory Technology Device Utilities
 Utilities for manipulating memory technology devices, such as flash
 memory, Disk-On-Chip, or ROM.  Includes mkfs.jffs2, a tool to create
 JFFS2 (journaling flash file system) filesystems.

Package: libmtd-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}
Description: Memory Technology Device Development Libraries
 Development header and libraries for manipulating memory technology
 devices, such as flash memory, Disk-On-Chip, or ROM.

Package: libubi-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}
Description: UBIFS Development Libraries
 Development header and libraries for manipulating unsorted block
 image file systems.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --enable-test --enable-unit-tests

# tests are known to pass only on the listed architectures
ifeq (,$(filter amd64 armel armhf arm64 i386 mipsel s390x x32,$(DEB_HOST_ARCH)))
override_dh_auto_test:
	-dh_auto_test
endif

## mtd-utils 2.1.2

=== debian/changelog ===
mtd-utils (1:2.1.2-2) unstable; urgency=medium

  * Enable crypto support (Closes: #960351)
  * Link with system iniparser
  * Use dh 13 to get rid of dh-exec
  * Update Standards-Version; no changes required

 -- Bastian Germann <bastiangermann@fishpost.de>  Wed, 13 Jan 2021 23:42:07 +0100

mtd-utils (1:2.1.2-1) unstable; urgency=medium

  [ Bastian Germann ]
  * d/gbp.conf: Set debian-branch and pristine-tar
  * lintian: rules-requires-root-missing
  * Mention included tools in description (Closes: #905689)
  * d/rules: Build with all hardening features
  * Set myself as maintainer (Closes: #970640)

  [ Helmut Grohne ]
  * Fix FTCBFS with nocheck build profile. (Closes: #970801)

 -- Bastian Germann <bastiangermann@fishpost.de>  Mon, 21 Sep 2020 21:23:35 +0200

mtd-utils (1:2.1.2-0.1) unstable; urgency=medium

  [ Bastian Germann ]
  * Non-maintainer upload.
  * Import new upstream version (Closes: #965155, #716414)
  * Use arch:linux-any (Closes: #745187)
  * Add d/watch with pubkey
  * d/copyright: Convert to DEP-5
  * d/copyright: Add new copyrights for 2.1.2
  * Revert "lib*-dev: Don't include private kernel header"
  * lib*-dev: Mark Multi-Arch: same (Closes: #965213)

  [ Balint Reczey ]
  * Ignore test results on architectures where tests are not known to pass

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Drop unnecessary dependency on dh-autoreconf.
  * Drop unnecessary dh arguments: --parallel
  * Update standards version to 4.5.0, no changes needed.

 -- Bastian Germann <bastiangermann@fishpost.de>  Tue, 08 Sep 2020 20:52:53 +0200

=== debian/control ===
Source: mtd-utils
Section: utils
Priority: optional
Maintainer: Bastian Germann <bastiangermann@fishpost.de>
Uploaders: Riku Voipio <riku.voipio@linaro.org>
Build-Depends: debhelper-compat (= 13), pkg-config, zlib1g-dev,
 libacl1-dev, libcmocka-dev <!nocheck>, liblzo2-dev, uuid-dev, libzstd-dev,
 libiniparser-dev, libssl-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: http://www.linux-mtd.infradead.org/
Vcs-Git: https://salsa.debian.org/debian/mtd-utils.git
Vcs-Browser: https://salsa.debian.org/debian/mtd-utils

Package: mtd-utils
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Provides: mtd-tools
Replaces: mtd-tools
Description: Memory Technology Device Utilities
 Utilities for manipulating memory technology devices, such as flash
 memory, Disk-On-Chip, or ROM.  Includes the following tools:
 docfdisk, doc_loadbios, flashcp, flash_erase, flash_eraseall, flash_lock,
 flash_otp_dump, flash_otp_info, flash_otp_lock, flash_otp_write, flash_unlock,
 ftl_check, ftl_format, jffs2dump, jffs2reader, lsmtd, mkfs.jffs2, mkfs.ubifs,
 mtd_debug, mtdinfo, mtdpart, nanddump, nandtest, nandwrite, nftldump,
 nftl_format, recv_image, rfddump, rfdformat, serve_image, sumtool, ubiattach,
 ubiblock, ubicrc32, ubidetach, ubiformat, ubihealthd, ubimkvol, ubinfo,
 ubinize, ubirename, ubirmvol, ubirsvol, ubiupdatevol.

Package: libmtd-dev
Section: libdevel
Architecture: linux-any
Depends: ${misc:Depends}
Multi-Arch: same
Description: Memory Technology Device Development Libraries
 Development header and libraries for manipulating memory technology
 devices, such as flash memory, Disk-On-Chip, or ROM.

Package: libubi-dev
Section: libdevel
Architecture: linux-any
Depends: ${misc:Depends}
Multi-Arch: same
Description: UBIFS Development Libraries
 Development header and libraries for manipulating unsorted block
 image file systems.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
CONFIGURE_ARGS = --enable-unit-tests
else
CONFIGURE_ARGS = --disable-unit-tests
endif

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_ARGS)

# tests are known to pass only on the listed architectures
ifeq (,$(filter amd64 armel armhf arm64 i386 mipsel s390x x32,$(DEB_HOST_ARCH)))
override_dh_auto_test:
	-dh_auto_test
endif

## mtd-utils 2.1.3

=== debian/changelog ===
mtd-utils (1:2.1.3-1) unstable; urgency=medium

  * New upstream version
  * Enable SELinux

 -- Bastian Germann <bastiangermann@fishpost.de>  Thu, 29 Jul 2021 18:09:32 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Riku Voipio <riku.voipio@linaro.org>
 Build-Depends: debhelper-compat (= 13), pkg-config, zlib1g-dev,
  libacl1-dev, libcmocka-dev <!nocheck>, liblzo2-dev, uuid-dev, libzstd-dev,
- libiniparser-dev, libssl-dev
+ libiniparser-dev, libselinux1-dev, libssl-dev
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://www.linux-mtd.infradead.org/

## mtd-utils 2.1.4

=== debian/changelog ===
mtd-utils (1:2.1.4-1) unstable; urgency=medium

  * New upstream version
  * Add ubiscan utility

 -- Bastian Germann <bage@debian.org>  Mon, 10 Jan 2022 09:49:49 +0100

mtd-utils (1:2.1.3-2) unstable; urgency=medium

  * Set bage's debian.org email
  * Remove Riku (emeritus) from Uploaders (Closes: #1001564)

 -- Bastian Germann <bage@debian.org>  Fri, 10 Dec 2021 18:24:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: mtd-utils
 Section: utils
 Priority: optional
-Maintainer: Bastian Germann <bastiangermann@fishpost.de>
-Uploaders: Riku Voipio <riku.voipio@linaro.org>
+Maintainer: Bastian Germann <bage@debian.org>
 Build-Depends: debhelper-compat (= 13), pkg-config, zlib1g-dev,
  libacl1-dev, libcmocka-dev <!nocheck>, liblzo2-dev, uuid-dev, libzstd-dev,
  libiniparser-dev, libselinux1-dev, libssl-dev

## mtd-utils 2.1.5

=== debian/changelog ===
mtd-utils (1:2.1.5-1) unstable; urgency=medium

  * New upstream version

 -- Bastian Germann <bage@debian.org>  Tue, 11 Oct 2022 00:51:34 +0200

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 endif
 
 override_dh_auto_configure:
-	dh_auto_configure -- $(CONFIGURE_ARGS)
+	dh_auto_configure -- --with-selinux $(CONFIGURE_ARGS)
 
 # tests are known to pass only on the listed architectures
 ifeq (,$(filter amd64 armel armhf arm64 i386 mipsel s390x x32,$(DEB_HOST_ARCH)))

## mtd-utils 2.1.6

=== debian/changelog ===
mtd-utils (1:2.1.6-1) unstable; urgency=medium

  * QA upload
  * New upstream version

 -- Bastian Germann <bage@debian.org>  Mon, 04 Sep 2023 17:22:59 +0200

## mtd-utils 2.2.0

=== debian/changelog ===
mtd-utils (1:2.2.0-1ubuntu2) noble; urgency=medium

  * d/rules: Skipping tests on armhf, due to broken mocking (LP: #2060214)
    See https://bugs.debian.org/1065956

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 16 Apr 2024 12:47:36 +0200

mtd-utils (1:2.2.0-1ubuntu1) noble; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Disable LTO in unittests.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Apr 2024 11:40:59 +0200

mtd-utils (1:2.2.0-1) unstable; urgency=medium

  * QA upload
  * New upstream version

 -- Bastian Germann <bage@debian.org>  Sat, 30 Mar 2024 14:37:16 +0100

mtd-utils (1:2.1.6-1ubuntu1) noble; urgency=medium

  * d/p/fix-ftbfs.patch: Disable LTO in unittests. (LP: #2060214)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 05 Apr 2024 12:19:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mtd-utils
 Section: utils
 Priority: optional
-Maintainer: Bastian Germann <bage@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper-compat (= 13), pkg-config, zlib1g-dev,
  libacl1-dev, libcmocka-dev <!nocheck>, liblzo2-dev, uuid-dev, libzstd-dev,
  libiniparser-dev, libselinux1-dev, libssl-dev

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,8 @@
 	dh_auto_configure -- --with-selinux $(CONFIGURE_ARGS)
 
 # tests are known to pass only on the listed architectures
-ifeq (,$(filter amd64 armel armhf arm64 i386 mipsel s390x x32,$(DEB_HOST_ARCH)))
+# Also broken on armhf, see https://bugs.debian.org/1065956
+ifeq (,$(filter amd64 armel arm64 i386 mipsel s390x x32,$(DEB_HOST_ARCH)))
 override_dh_auto_test:
 	-dh_auto_test
 endif

## mtd-utils 2.3.0

=== debian/changelog ===
mtd-utils (1:2.3.0-1ubuntu1) questing; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/p/fix-ftbfs.patch: Disable LTO in unittests. (LP: #2060214)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 01 May 2025 16:43:23 +0100

mtd-utils (1:2.3.0-1) unstable; urgency=medium

  * QA upload.
  * d/gbp.conf: set debian-branch = debian/latest
  * New upstream version 2.3.0
  * Bump Standards-Version: 4.7.2
  * d/copyright: delete not exist Files: ubifs-utils/mkfs.ubifs/sign.* info

 -- xiao sheng wen <atzlinux@debian.org>  Sat, 29 Mar 2025 16:51:04 +0800

mtd-utils (1:2.2.0-2ubuntu2) plucky; urgency=medium

  * No-change rebuild for libiniparser4

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 01 Nov 2024 07:30:24 +0000

mtd-utils (1:2.2.0-2ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/p/fix-ftbfs.patch: Disable LTO in unittests. (LP: #2060214)

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 12 Jun 2024 17:23:02 +0200

mtd-utils (1:2.2.0-2) unstable; urgency=medium

  * QA upload
  * Skip tests on armel and armhf due to broken mocking (Closes: #1065956)

 -- Bastian Germann <bage@debian.org>  Thu, 02 May 2024 18:37:36 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13), pkg-config, zlib1g-dev,
  libacl1-dev, libcmocka-dev <!nocheck>, liblzo2-dev, uuid-dev, libzstd-dev,
  libiniparser-dev, libselinux1-dev, libssl-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: http://www.linux-mtd.infradead.org/
 Vcs-Git: https://salsa.debian.org/debian/mtd-utils.git

=== debian/watch ===
version=4
opts=mode=git,pgpmode=gittag \
  git://git.infradead.org/mtd-utils.git refs/tags/v([\d\.]+)
